GroovySourceAST (groovy 3.0.9 API)

Package: org.codehaus.groovy.antlr

## [Java] Class GroovySourceAST

- org.codehaus.groovy.antlr.GroovySourceAST

- All Implemented Interfaces and Traits:
    Comparable, SourceInfo

      public class GroovySourceAST
      extends CommonAST
      implements Comparable, SourceInfo

  We have an AST subclass so we can track source information. Very odd that ANTLR doesn't do this by default.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovySourceAST ()`
    `GroovySourceAST (Token t)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public GroovySourceAST` | `childAt(int position)`
    `` | `public GroovySourceAST` | `childOfType(int type)`
    `` | `public List<GroovySourceAST>` | `childrenOfType(int type)`
    `` | `public int` | `compareTo(Object object)`
    `` | `public int` | `getColumn()`
    `` | `public int` | `getColumnLast()`
    `` | `public int` | `getLine()`
    `` | `public int` | `getLineLast()`
    `` | `public String` | `getSnippet()`
    `` | `public void` | `initialize(AST ast)`
    `` | `public void` | `initialize(Token t)`
    `` | `public void` | `setColumn(int column)`
    `` | `public void` | `setColumnLast(int colLast)`
    `` | `public void` | `setLast(Token last)`
    `` | `public void` | `setLine(int line)`
    `` | `public void` | `setLineLast(int lineLast)`
    `` | `public void` | `setSnippet(String snippet)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CommonAST` | `setText, setType, getText, initialize, initialize, initialize, getType, toStringList, getFirstChild, getNextSibling, getLine, getNumberOfChildren, getColumn, addChild, xmlSerializeNode, removeChildren, xmlSerialize, toStringTree, equalsTreePartial, setFirstChild, equalsListPartial, equalsList, setNextSibling, equalsTree, findAllPartial, setVerboseStringConversion, xmlSerializeRootOpen, xmlSerializeRootClose, getTokenNames, findAll, equals, toString, decode, encode, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public GroovySourceAST()

    - #### public GroovySourceAST(Token t)

  - ### Method Detail

    - #### public GroovySourceAST childAt(int position)

    - #### public GroovySourceAST childOfType(int type)

    - #### public List<GroovySourceAST> childrenOfType(int type)

    - #### public int compareTo(Object object)

    - #### public int getColumn()

    - #### public int getColumnLast()

    - #### public int getLine()

    - #### public int getLineLast()

    - #### public String getSnippet()

    - #### public void initialize(AST ast)

    - #### public void initialize(Token t)

    - #### public void setColumn(int column)

    - #### public void setColumnLast(int colLast)

    - #### public void setLast(Token last)

    - #### public void setLine(int line)

    - #### public void setLineLast(int lineLast)

    - #### public void setSnippet(String snippet)